Bug 1127408 - hammer repository info failed
Summary: hammer repository info failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Og Maciel
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard:
: 1129617 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 20:16 UTC by sthirugn@redhat.com
Modified: 2017-02-23 21:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:13:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description sthirugn@redhat.com 2014-08-06 20:16:26 UTC
Description of problem:
hammer repository info failed

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140730.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.34-1.el6sat.noarch
* foreman-compute-1.6.0.34-1.el6sat.noarch
* foreman-gce-1.6.0.34-1.el6sat.noarch
* foreman-libvirt-1.6.0.34-1.el6sat.noarch
* foreman-ovirt-1.6.0.34-1.el6sat.noarch
* foreman-postgresql-1.6.0.34-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.34-1.el6sat.noarch
* katello-1.5.0-27.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.56-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
* pulp-server-2.4.0-0.23.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
hammer> repository info --name=puppetrepo1 --product=puppetproduct1 --organization-id=3
wrong number of arguments (0 for 1)


Actual results:
repository info failed

Expected results:
repository info should work fine

Additional info:

Comment 2 Og Maciel 2014-08-13 21:15:00 UTC
# LANG=en_US hammer -v -u 3vlu1rr -p bffetns  repository list --organization-id=3
---|--------------------------------------|-------------------|--------------|----------------------------------------------------
ID | NAME                                 | PRODUCT           | CONTENT TYPE | URL
---|--------------------------------------|-------------------|--------------|----------------------------------------------------
2  | ALOKcfzWpWlMolyM                     | QuxzAWWqkKiAWTKQM | puppet       | http://davidd.fedorapeople.org/repos/random_puppet/
1  | ÊÏåÇæÛäÎÜíÚíÄêÃÙóú | QuxzAWWqkKiAWTKQM | yum          | http://dl.google.com/linux/chrome/rpm/stable/x86_64
---|--------------------------------------|-------------------|--------------|----------------------------------------------------

root@qe-foreman-rhel65 ~]# LANG=en_US hammer -v -d -u 3vlu1rr -p bffetns repository info --id=2
[ INFO 2014-08-13 17:13:41 Init] Initialization of Hammer CLI (0.1.2) has started...
[DEBUG 2014-08-13 17:13:41 Init] Running at ruby 1.8.7-p352
[ INFO 2014-08-13 17:13:41 Init] Configuration from the file /etc/hammer/cli_config.yml has been loaded
[ INFO 2014-08-13 17:13:41 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml has been loaded
[ INFO 2014-08-13 17:13:41 Init] Configuration from the file /etc/hammer/cli.modules.d/katello.yml has been loaded
[DEBUG 2014-08-13 17:13:41 Connection] Registered: foreman
[DEBUG 2014-08-13 17:13:41 API] Global headers: {
              :accept => "application/json;version=2",
    "Accept-Language" => "en",
        :content_type => "application/json"
}
[ INFO 2014-08-13 17:13:41 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was removed.
[ INFO 2014-08-13 17:13:41 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was created.
[ INFO 2014-08-13 17:13:41 Modules] Extension module hammer_cli_katello (0.0.4) loaded
[ INFO 2014-08-13 17:13:41 Modules] Extension module hammer_cli_foreman (0.1.2) loaded
[DEBUG 2014-08-13 17:13:41 Init] Using locale 'en'
[DEBUG 2014-08-13 17:13:41 Init] 'mo' files for locale domain 'hammer-cli' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/locale'
[DEBUG 2014-08-13 17:13:41 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.2/locale'
[DEBUG 2014-08-13 17:13:41 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/locale'
[ INFO 2014-08-13 17:13:41 HammerCLI::MainCommand] Called with options: {"option_verbose"=>true, "option_password"=>"***", "option_username"=>"3vlu1rr", "option_debug"=>true}
[ INFO 2014-08-13 17:13:41 HammerCLIKatello::Repository] Called with options: {}
[ INFO 2014-08-13 17:13:41 HammerCLIKatello::Repository::InfoCommand] Called with options: {"option_id"=>"2"}
[ERROR 2014-08-13 17:13:41 Exception] wrong number of arguments (0 for 1)
wrong number of arguments (0 for 1)
[ERROR 2014-08-13 17:13:41 Exception]

ArgumentError (wrong number of arguments (0 for 1)):
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/lib/hammer_cli_katello/repository.rb:104:in `method_options'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/lib/hammer_cli_katello/repository.rb:104:in `request_params'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/lib/hammer_cli/./apipie/command.rb:42:in `send_request'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.2/lib/hammer_cli_foreman/commands.rb:164:in `send_request'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.2/lib/hammer_cli_foreman/commands.rb:306:in `send_request'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/lib/hammer_cli_katello/repository.rb:67:in `send_request'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/lib/hammer_cli/./apipie/command.rb:33:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:68:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:68:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:68:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:126:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/bin/hammer:106
    /usr/bin/hammer:19:in `load'
    /usr/bin/hammer:19
[root@qe-foreman-rhel65 ~]# LANG=en_US hammer -v -d -u 3vlu1rr -p bffetns repository info --id=2 --organization-id=3
[ INFO 2014-08-13 17:14:02 Init] Initialization of Hammer CLI (0.1.2) has started...
[DEBUG 2014-08-13 17:14:02 Init] Running at ruby 1.8.7-p352
[ INFO 2014-08-13 17:14:02 Init] Configuration from the file /etc/hammer/cli_config.yml has been loaded
[ INFO 2014-08-13 17:14:02 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml has been loaded
[ INFO 2014-08-13 17:14:02 Init] Configuration from the file /etc/hammer/cli.modules.d/katello.yml has been loaded
[DEBUG 2014-08-13 17:14:02 Connection] Registered: foreman
[DEBUG 2014-08-13 17:14:02 API] Global headers: {
              :accept => "application/json;version=2",
    "Accept-Language" => "en",
        :content_type => "application/json"
}
[ INFO 2014-08-13 17:14:02 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was removed.
[ INFO 2014-08-13 17:14:02 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was created.
[ INFO 2014-08-13 17:14:02 Modules] Extension module hammer_cli_katello (0.0.4) loaded
[ INFO 2014-08-13 17:14:02 Modules] Extension module hammer_cli_foreman (0.1.2) loaded
[DEBUG 2014-08-13 17:14:02 Init] Using locale 'en'
[DEBUG 2014-08-13 17:14:02 Init] 'mo' files for locale domain 'hammer-cli' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/locale'
[DEBUG 2014-08-13 17:14:02 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.2/locale'
[DEBUG 2014-08-13 17:14:02 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/locale'
[ INFO 2014-08-13 17:14:02 HammerCLI::MainCommand] Called with options: {"option_username"=>"3vlu1rr", "option_debug"=>true, "option_verbose"=>true, "option_password"=>"***"}
[ INFO 2014-08-13 17:14:02 HammerCLIKatello::Repository] Called with options: {}
[ INFO 2014-08-13 17:14:02 HammerCLIKatello::Repository::InfoCommand] Called with options: {"option_organization_id"=>"3", "option_id"=>"2"}
[ERROR 2014-08-13 17:14:02 Exception] wrong number of arguments (0 for 1)
wrong number of arguments (0 for 1)
[ERROR 2014-08-13 17:14:02 Exception]

ArgumentError (wrong number of arguments (0 for 1)):
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/lib/hammer_cli_katello/repository.rb:104:in `method_options'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/lib/hammer_cli_katello/repository.rb:104:in `request_params'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/lib/hammer_cli/./apipie/command.rb:42:in `send_request'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.2/lib/hammer_cli_foreman/commands.rb:164:in `send_request'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.2/lib/hammer_cli_foreman/commands.rb:306:in `send_request'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/lib/hammer_cli_katello/repository.rb:67:in `send_request'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/lib/hammer_cli/./apipie/command.rb:33:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:68:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:68:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:68:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:126:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.2/bin/hammer:106
    /usr/bin/hammer:19:in `load'
    /usr/bin/hammer:19

Comment 3 Bryan Kearney 2014-08-14 13:32:49 UTC

*** This bug has been marked as a duplicate of bug 1129617 ***

Comment 4 sthirugn@redhat.com 2014-08-14 13:42:38 UTC
Reopening this bug as this is older and has more info than https://bugzilla.redhat.com/show_bug.cgi?id=1129617.  Marking the other bug a duplicate.

Comment 5 sthirugn@redhat.com 2014-08-14 13:43:17 UTC
*** Bug 1129617 has been marked as a duplicate of this bug. ***

Comment 6 Dustin Tsang 2014-08-14 15:55:31 UTC
this is actually fixed by https://bugzilla.redhat.com/show_bug.cgi?id=1085417
keeping open for testing purposes.

Comment 8 Og Maciel 2014-10-13 16:11:39 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Test:

LANG=en_US.UTF-8 hammer -v -u admin -p changeme  repository info --id='34'
2014-10-13 12:05:34 - robottelo.common.ssh - INFO - Instantiated Paramiko client 0x10588ad90
2014-10-13 12:05:36 - robottelo.common.ssh - INFO - Destroying Paramiko client 0x10588ad90
2014-10-13 12:05:36 - robottelo.common.ssh - INFO - Destroyed Paramiko client 0x10588ad90
2014-10-13 12:05:36 - robottelo.common.ssh - DEBUG - <<<
ID:                 34
Name:               wordpress
Label:              wordpress
Organization:       nHIdvt
Red Hat Repository: no
Content Type:       docker
URL:                https://registry.hub.docker.com/
Publish Via HTTP:   yes
Published At:       http://qe-foreman-rhel65.usersys.redhat.com/pulp/repos/nHIdvt/Library/custom/jDfsTULkxZLmSkVrOfVi/wordpress
Product:
    ID:   197
    Name: pAYjeFHpokkcSGFpJIyA
GPG Key:

Sync:
    Status:
Created:            2014/10/13 16:05:15
Updated:            2014/10/13 16:05:17
Content Counts:

Version Tested:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.32-1.el6.noarch
* candlepin-common-1.0.8-1.el6.noarch
* candlepin-selinux-0.9.32-1.el6.noarch
* candlepin-tomcat6-0.9.32-1.el6.noarch
* elasticsearch-0.90.10-7.el6.noarch
* foreman-1.7.0-0.develop.201410101505git9645d89.el6.noarch
* foreman-compute-1.7.0-0.develop.201410101505git9645d89.el6.noarch
* foreman-gce-1.7.0-0.develop.201410101505git9645d89.el6.noarch
* foreman-libvirt-1.7.0-0.develop.201410101505git9645d89.el6.noarch
* foreman-ovirt-1.7.0-0.develop.201410101505git9645d89.el6.noarch
* foreman-postgresql-1.7.0-0.develop.201410101505git9645d89.el6.noarch
* foreman-proxy-1.7.0-0.develop.201410101404git7961640.el6.noarch
* foreman-release-1.7.0-0.develop.201410101505git9645d89.el6.noarch
* foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el6.noarch
* foreman-vmware-1.7.0-0.develop.201410101505git9645d89.el6.noarch
* katello-2.1.0-1.201410121115giteabe757.el6.noarch
* katello-certs-tools-2.0.1-1.el6.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-2.1.0-1.201410021645git304e036.el6.noarch
* katello-repos-2.1.1-1.el6.noarch
* katello-server-ca-1.0-1.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-docker-plugins-0.2.1-0.2.beta.el6.noarch
* pulp-katello-0.3-3.el6.noarch
* pulp-nodes-common-2.5.0-0.7.beta.el6.noarch
* pulp-nodes-parent-2.5.0-0.7.beta.el6.noarch
* pulp-puppet-plugins-2.5.0-0.7.beta.el6.noarch
* pulp-puppet-tools-2.5.0-0.7.beta.el6.noarch
* pulp-rpm-plugins-2.5.0-0.7.beta.el6.noarch
* pulp-selinux-2.5.0-0.7.beta.el6.noarch
* pulp-server-2.5.0-0.7.beta.el6.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.3.1-1.el6.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6.noarch
* ruby193-rubygem-runcible-1.2.0-1.el6.noarch
* rubygem-hammer_cli-0.1.3-1.201409240954gitf3c47c7.el6.noarch
* rubygem-hammer_cli_foreman-0.1.3-1.201409191432gitc38f9c8.el6.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch
* rubygem-hammer_cli_import-0.10.4-1.el6.noarch
* rubygem-hammer_cli_katello-0.0.6-1.201410121136gitdad4d95.git.0.a8e17a4.el6.noarch

Comment 10 Bryan Kearney 2015-08-11 13:19:21 UTC
This bug is slated to be released with Satellite 6.1.

Comment 11 errata-xmlrpc 2015-08-12 05:13:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.